Package pyxmpp :: Module streamtls

[hide private]

# Module streamtls

source code

TLS support for XMPP streams.

Normative reference:
  - RFC 3920

Classes | [hide private]

| TLSSettings Storage for TLS-related settings of an XMPP stream.
| StreamTLSMixIn Mix-in class providing TLS support for an XMPP stream.

Variables | [hide private]

| __revision__ = ``'``$Id: streamtls.py 681 2008-12-05 07:18:41Z jaj``...``
| tls_available = `1`
| TLS_NS = ``'``urn:ietf:params:xml:ns:xmpp-tls``'``
| __package__ = ``'``pyxmpp``'``

Imports: socket, sys, errno, logging, StreamBase, STREAM_NS, FatalStreamError, StreamEncryptionRequired, TLSNegotiationFailed, TLSError, TLSNegotiatedButNotAvailableError, SSL, M2Crypto, SSLError

Variables Details | [hide private]

### __revision__

Value:

      '$Id: streamtls.py 681 2008-12-05 07:18:41Z jajcus $'